#include <bits/stdc++.h>
#define all(x) x.begin(),x.end()
#define rall(x) x.rbegin(),x.rend()

using namespace std;

using i64 = long long;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

    int n, l;
    cin >> n >> l;

    vector<int> a(n);

    for(int i = 0;i < n;i++){
        cin >> a[i];
    }

    int res = -1;

    for(int i = 0;i < n;i++){
        if(a[i] <= l){
            res = i + 1;
            break;
        }
    }

    cout << res << "\n";
}